Bug 1489564 - Cannot search Software Channel Entitlements according to the label (what is an output of rhn-satellite-activate)
Summary: Cannot search Software Channel Entitlements according to the label (what is a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 580
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks: sat58-errata
TreeView+ depends on / blocked
 
Reported: 2017-09-07 18:02 UTC by Candace Sheremeta
Modified: 2020-12-14 09:55 UTC (History)
4 users (show)

Fixed In Version: spacewalk-java-2.5.14-105-sat
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-13 07:59:26 UTC
Target Upstream Version:


Attachments (Terms of Use)
SAT-5.8 patch to entitlements.jsp (1.54 KB, patch)
2017-09-19 17:18 UTC, Grant Gainey
no flags Details | Diff
Failed entitlements page search (193.07 KB, image/png)
2017-11-10 11:30 UTC, Radovan Drazny
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3445 0 normal SHIPPED_LIVE Red Hat Satellite 5.8.0 bug fix update 2017-12-12 19:00:37 UTC

Description Candace Sheremeta 2017-09-07 18:02:49 UTC
When customers see errors while activating new certificates or manifests on the Satellite such as this:

~~~
Certificate specifies 1157 of rhel-server-supplementary non-flex entitlements.
    There are 2178 non-flex entitlements allocated to non-base org(s) (120 used).
    You might need to deallocate some entitlements from non-base organization(s).
    You need to free 1021 entitlements to match the new certificate.
~~~

The customer has to go to the Software Channel Entitlement Counts page and find the channel associated with the channel family mentioned in the error output. However, for many of these channels (mostly the RHEL 5 versions of the channels), the name of the channels are hard to find based on the name of the channel family, especially as they do not follow the formatting of the RHEL 6 and 7 versions of the channels. For example, the "rhel-client-workstation" channel family maps to the "RHEL Desktop Workstation" channel for some reason, which I only figured out through some careful testing.

It would save our customers and our support engineers a LOT of time if the channels on this page were searchable by the name of the channel family.

Alternatively, if the error message from the output of the activation could point to the exact name of the entitlement (like the messages for monitoring, provisioning, virtualization, etc entitlements do already), that would be a huge time-saver.

For example, the output above could become:

~~~
Certificate specifies 1157 of rhel-server-supplementary non-flex entitlements.
    There are 2178 non-flex entitlements allocated to non-base org(s) (120 used).
    You might need to deallocate some entitlements from non-base organization(s).
    You need to free 1021 entitlements to match the new certificate.
    In the WebUI, the entitlement is named RHEL Supplementary.
~~~

Comment 1 Tomas Lestach 2017-09-08 08:20:56 UTC
/rhn/channels/software/Entitlements.do page contains list of channel available families according to the Sat5 certificate. They're searchable. By clicking any of the channel families, list of associated channels is displayed.
The only deficiency I see is channel families are displayed and searchable according to its full name, not label as rhn-satellite-activate returns channel family labels.

Do I miss anything?

Comment 2 Candace Sheremeta 2017-09-08 13:40:58 UTC
Hey Tomas,

That's correct. We'd like a way to either be able to search by the labels that rhn-satellite-activate returns, or we'd like the output of rhn-satellite-activate to return the full names of the channels.

Thank you :)

Comment 4 Grant Gainey 2017-09-19 17:18:26 UTC
Created attachment 1328080 [details]
SAT-5.8 patch to entitlements.jsp

Patch to add the label as a column, and make it the filterable entity

Comment 7 Radovan Drazny 2017-11-10 11:30:58 UTC
Created attachment 1350433 [details]
Failed entitlements page search

Tested on spacewalk-java-2.5.14-103.el6sat. Searching by entitlement name works, searching by channel label doesn't. See the attached picture. Upper part is a search for an entitlement by a name - this works the way it always did. Lower part is a search for an entitlement by a channel label. No entitlement is found. Neither search for complete string nor search for substring (as in the picture) does work.

FailedQA

Comment 8 Grant Gainey 2017-11-13 14:43:19 UTC
(In reply to Radovan Drazny from comment #7)
> Created attachment 1350433 [details]
> Failed entitlements page search
> 
> Tested on spacewalk-java-2.5.14-103.el6sat. Searching by entitlement name
> works, searching by channel label doesn't. See the attached picture. Upper
> part is a search for an entitlement by a name - this works the way it always
> did. Lower part is a search for an entitlement by a channel label. No
> entitlement is found. Neither search for complete string nor search for
> substring (as in the picture) does work.
> 
> FailedQA

The page in your screenshot is /rhn/admin/multiorg/SoftwareEntitlements.do

The page being described in, and fixed by, this BZ ( #c1 ) is /rhn/channels/software/Entitlements.do

While I can def. see making the Admin page match is a good idea, it's not (as far as I can see, anyway) what was being asked for.

Will add changes to the admin-page as well, but I don't think this is actually 'fails qa' so much as 'requirements fail' :)

Comment 11 Radovan Drazny 2017-11-14 13:01:27 UTC
(In reply to Grant Gainey from comment #8)
> (In reply to Radovan Drazny from comment #7)
> > Created attachment 1350433 [details]
> > Failed entitlements page search
> > 
> > Tested on spacewalk-java-2.5.14-103.el6sat. Searching by entitlement name
> > works, searching by channel label doesn't. See the attached picture. Upper
> > part is a search for an entitlement by a name - this works the way it always
> > did. Lower part is a search for an entitlement by a channel label. No
> > entitlement is found. Neither search for complete string nor search for
> > substring (as in the picture) does work.
> > 
> > FailedQA
> 
> The page in your screenshot is /rhn/admin/multiorg/SoftwareEntitlements.do
> 
> The page being described in, and fixed by, this BZ ( #c1 ) is
> /rhn/channels/software/Entitlements.do
> 
> While I can def. see making the Admin page match is a good idea, it's not
> (as far as I can see, anyway) what was being asked for.
> 
> Will add changes to the admin-page as well, but I don't think this is
> actually 'fails qa' so much as 'requirements fail' :)

Yes, sorry about that. I looked at the other entitlements page automatically. Good thing is that the other page needed the same fix as the entitlement page that was fixed originally :-)
Anyway, I have tested both pages now, and I was able to search by entitlement label on both of them. Channel labels is now displayed on both pages. It is now possible to search ONLY by labels, not by names, which is actually a good thing in my opinion.
VERIFIED

Comment 12 Radovan Drazny 2017-11-14 13:02:17 UTC
Forgot the version - verified on spacewalk-java-2.5.14-105.el6sat.

Comment 15 errata-xmlrpc 2017-12-13 07:59:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3445


Note You need to log in before you can comment on or make changes to this bug.